2019-06-25 03:25 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000471NetSurf[All Projects] Generalpublic2015-10-31 22:20
ReporterGerald Dodson 
Assigned To 
SeverityminorReproducibilityhave not tried 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.1 
Summary0000471: Fail edit in Squirrel Mail
DescriptionSeveral times NS has come up with a fatal error message and bug report - must exit - when editing a message in Orpheus Squirrel Mail. The attached when repositioning the cursor.
Additional Informationzcorn added a note on Mon Mar 19 22:27:00 2012

This also happens with the GTK version, however it requires a few more clicks.

And it's probably related to an buffer overflow or other memory corruption.

I also get:

(169.506747) content/content.c content__reformat 357: 0x9d4c380 https://webmailer.de/smaction=reply
nsgtk: render/textplain.c:1265: textplain_get_browser_window: Assertion `c->handler == &html_content_handler' failed.
Aborted (core dumped)

which differs from the previous posting. I assume c->handler can't be matched again &html_content_handler because one of these pointers is overwritten.



zcorn added a note on Fri Mar 2 23:38:55 2012

in selection_get_browser_window we have:

    if (s->is_html)
        return html_get_browser_window(s->c);
    else
        return textplain_get_browser_window(s->c);

in textplain_get_browser_window

we have:
    assert(c->handler == &textplain_content_handler);

Is this correct? I doubt the textarea is implemented as textplain_content

zcorn added a note on Fri Mar 2 23:24:19 2012

Part of the log:

  ( 49f8c4) pc: 6e620 lr: 36fb4 sp: 49f8c8 textplain_get_browser_window()
  ( 49f8e8) pc: 36fa0 lr: 2635c sp: 49f8ec selection_clear()
  ( 49f900) pc: 26328 lr: 37424 sp: 49f904 browser_window_set_selection()
  ( 49f924) pc: 3730c lr: 54e44 sp: 49f928 selection_click()
  ( 49faa4) pc: 54430 lr: 94d0 sp: 49faa8 html_mouse_action()

seems to indicate that the assumption that this has something to do with frames isn't so unrealistic.

zcorn added a note on Fri Mar 2 23:21:51 2012

I can confirm that writing mails with squirrel mail isn't very stable.

But configuring squirrel webmail to open "new mail" within a new window seems to fix the problems. So maybe
this is related to frames?



Imported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=3485781 on Tue Dec 10 17:34:12 2013

TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000039

Vincent Sanders (administrator)

Is this issue still happening in the CI build of NetSurf?
John-Mark Bell

~0000229

John-Mark Bell (administrator)

Apparently not. The original reporter writes:

The fault, ID 0000471 Fail edit in Squirrel Mail, was raised by me
anonymously. I believe this was a fault exihited with other situations
i.e. crash when editing in a window.

I have not seen this fault with development NS issues for some time, so as
far as I am concerned the fault is fixed.


Closing, presumed fixed.
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Status new => assigned
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2013-12-17 18:11 Vincent Sanders Note Added: 0000039
2013-12-17 18:11 Vincent Sanders Assigned To Sourceforge Import placeholder =>
2013-12-17 18:11 Vincent Sanders Status assigned => feedback
2013-12-17 18:11 Vincent Sanders Resolution no change required => open
2013-12-17 18:11 Vincent Sanders Description Updated View Revisions
2013-12-17 18:11 Vincent Sanders Additional Information Updated View Revisions
2014-02-10 02:23 John-Mark Bell Note Added: 0000229
2014-02-10 02:23 John-Mark Bell Status feedback => closed
2014-02-10 02:23 John-Mark Bell Fixed in Version => 3.1
2015-10-31 22:20 Vincent Sanders Resolution open => fixed
+Issue History